
Infrastructure - Task #4323

Story # 3875 (Closed): Create a dashboard (version 1) for DataONE to provide high level overall system status

Add next/previous paging controls using MN names to MN Detail View

2014-03-13 17:20 - Skye Roseboom

Status: Closed Start date: 2014-03-13

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_dashboard Estimated time: 0.00 hour

Target version: 2014.14-Block.2.3   

Milestone: CCI-1.3 Story Points:  

Product Version: *   

Description

1. How about rather than previous/next, show the name of the previous/next MN, under the current MN detail page title, in a

smaller font on left show previous MN and on right show next MN.  Some MN names are long, some shorter.

Next/Previous by what kind of order? Alphabetical seems like best option.

Ok to abbreviate names of repos?

A 'select/dropdown' might be a more appropriate control.  "go to: "

(from Dec review)

http://epad.dataone.org/2013Dec18-Dashboard

History

#1 - 2014-03-13 17:27 - Skye Roseboom

- Description updated

#2 - 2014-03-13 23:07 - Skye Roseboom

- Description updated

#3 - 2014-03-14 17:12 - Skye Roseboom

- Target version changed from 2014.2-Block.1.1 to 2014.12-Block.2.2

#4 - 2014-03-27 15:24 - Skye Roseboom

- Status changed from New to In Progress

#5 - 2014-03-27 22:56 - Skye Roseboom

- Status changed from In Progress to Testing

Implemented as nav buttons "< prev - summary - next >" with popover text to display node name of 'next/prev'.  Using node name as nav text was

tough given variable node name lengths. 

#6 - 2014-03-31 17:41 - Skye Roseboom

- Target version changed from 2014.12-Block.2.2 to 2014.14-Block.2.3

#7 - 2014-04-09 15:39 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
